< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package box
  Definition Classes
    ct
-  package computations
  Definition Classes
    ct
-  package ct600
  Definition Classes
    ct
-  package ct600a
  Definition Classes
    ct
-  package ct600e
  Definition Classes
    ct
-  package ct600j
  Definition Classes
    ct
-  package domain
  Definition Classes
    ct
-  package utils
  Definition Classes
    ct
-  package validation
  Definition Classes
    ct
-  package version
  Definition Classes
    ct
- AbbreviatedAccountsFiling
- AbridgedFiling
- CATO01
- CATO02
- CATO03
- CATO04
- CATO10
- CATO11
- CATO12
- CATO13
- CATO14
- CATO15
- CATO16
- CATO19
- CATO20
- CATO21
- CATO22
- CATO23
- CATO24
- CoHoAccountsApprovalRequired
- CompaniesHouseFiling
- CompaniesHouseSubmitted
- CountryOfRegistration
- FilingCompanyType
- HMRCAmendment
- HMRCFiling
- HMRCSubmitted
- HmrcAccountsApprovalRequired
- HmrcAccountsApprovalRequiredCalculator
- MicroEntityFiling
- RoundingFunctions
- StatutoryAccountsFiling
- UTR

o

uk.gov.hmrc.ct

# CATO20 

###
Companion class CATO20

#### object CATO20 extends Calculated[CATO20, ComputationsBoxRetriever] with MachineryAndPlantCalculator with Serializable

Linear Supertypes
Serializable, Serializable, MachineryAndPlantCalculator, CtTypeConverters, Calculated[CATO20, ComputationsBoxRetriever], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CATO20
2. Serializable
3. Serializable
4. MachineryAndPlantCalculator
5. CtTypeConverters
6. Calculated
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculate(fieldValueRetriever: ComputationsBoxRetriever): CATO20
   Definition Classes
     CATO20 → Calculated
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  def computeBalanceAllowance(cpq8: CPQ8, cp78: CP78, cp84: CP84, cp666: CP666, cp673: CP673, cp674: CP674, cpAux1: CPAux1, cpAux2: CPAux2, cpAux3: CPAux3): CP90
   Definition Classes
     MachineryAndPlantCalculator
8.  def computeBalancingCharge(cpq8: CPQ8, cp78: CP78, cp82: CP82, cp84: CP84, cp666: CP666, cp667: CP667, cp672: CP672, cp673: CP673, cp674: CP674, cpAux1: CPAux1, cpAux2: CPAux2, cpAux3: CPAux3, cato20: CATO20): CP91
   Definition Classes
     MachineryAndPlantCalculator
9.  def computeTotalAllowancesClaimed(cpq8: CPQ8, cp87: CP87, cp88: CP88, cp89: CP89, cp90: CP90 = CP90(value = None)): CP186
   Definition Classes
     MachineryAndPlantCalculator
10.  implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]
    Definition Classes
      CtTypeConverters
11.  implicit def convert(catoInt: CtOptionalInteger): Int
    Definition Classes
      CtTypeConverters
12.  implicit def convert(catoInt: CtInteger): Int
    Definition Classes
      CtTypeConverters
13.  implicit def convert(catoBoolean: CtOptionalBoolean): Boolean
    Definition Classes
      CtTypeConverters
14.  implicit def convert(catoBoolean: CtBoolean): Boolean
    Definition Classes
      CtTypeConverters
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  def unclaimedAIAFirstYearAllowance(cp81: CP81, cp83: CP83, cp87: CP87, cp88: CP88, cpAux1: CPAux1): CATO20
    Definition Classes
      MachineryAndPlantCalculator
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
30.  def writtenDownValue(cpq8: CPQ8, cp78: CP78, cp82: CP82, cp89: CP89, cp91: CP91, cp672: CP672, cato20: CATO20, cpAux2: CPAux2): CP92
    Definition Classes
      MachineryAndPlantCalculator

### Inherited from Serializable

### Inherited from MachineryAndPlantCalculator

### Inherited from CtTypeConverters

### Inherited from Calculated[CATO20, ComputationsBoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped